import FastRTCPeer, { DataPayload, OfferPayload, AnswerPayload, CandidatePayload } from '@mattkrick/fast-rtc-peer';
import EventEmitter from 'eventemitter3';
interface Options {
    id?: string;
}
interface SwarmOfferPayload extends OfferPayload {
    from: string;
    candidates: Array<RTCIceCandidateInit>;
}
interface SwarmOfferRequest {
    type: 'offerRequest';
}
interface SwarmOfferAccepted {
    type: 'offerAccepted';
    id: string;
    from: string;
}
interface SwarmAnswer extends AnswerPayload {
    from: string;
}
interface SwarmCandidate extends CandidatePayload {
    from: string;
}
export declare type SwarmPayload = SwarmOfferPayload | SwarmOfferRequest | SwarmOfferAccepted | SwarmAnswer | SwarmCandidate;
declare class FastRTCSwarm extends EventEmitter {
    peers: {
        [key: string]: FastRTCPeer;
    };
    peerOptions: RTCConfiguration;
    pendingPeers: {
        [key: string]: FastRTCPeer;
    };
    me?: string;
    isInit: boolean;
    constructor(opts?: Options);
    private createOfferer;
    private peerSubscribe;
    private onPeerData;
    private onPeerDataClose;
    private onPeerDataOpen;
    private onPeerSignal;
    broadcast(message: DataPayload): void;
    close(): void;
    dispatch(payload: SwarmPayload): void;
}
export default FastRTCSwarm;
//# sourceMappingURL=FastRTCSwarm.d.ts.map