declare global {
    interface WebSocket {
        _uuid: WebSocketID;
        _acceptedOffers: {
            [offerId: string]: WebSocketID;
        };
        _offers: Array<CachedOffer>;
        _requestors: Array<WebSocket>;
    }
}
declare type WebSocketID = string;
declare class CachedOffer {
    id: string;
    sdp: string;
    candidates: Array<RTCIceCandidate>;
    isComplete: boolean;
    constructor(offerId: string, sdp: string);
}
interface InitPayload {
    type: 'init';
    sdp: string;
    offerId: string;
    from: WebSocketID;
}
interface OfferPayload {
    type: 'offer';
    sdp: string;
    offerId: string;
}
interface CandidatePayload {
    type: 'candidate';
    candidate: RTCIceCandidate;
    to?: WebSocketID;
    offerId?: string;
}
interface AnswerPayload {
    type: 'answer';
    sdp: string;
    to: WebSocketID;
}
declare type IncomingPayload = InitPayload | OfferPayload | CandidatePayload | AnswerPayload;
declare const handleOnMessage: (clients: Set<WebSocket>, ws: WebSocket, payload: IncomingPayload) => boolean;
export default handleOnMessage;
//# sourceMappingURL=server.d.ts.map